## org.exist.xmldb.test
Class RemoteDatabaseImplTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.RemoteDBTest
                  org.exist.xmldb.test.RemoteDatabaseImplTest

All Implemented Interfaces:
  junit.framework.Test

public class RemoteDatabaseImplTest
extends RemoteDBTest

A test case for accessing user management service remotely ?

Author:
  Sebastian Bossung, Technische Universitaet Hamburg-Harburg, Pierrick Brihaye <pierrick.brihaye@free.fr>

Field Summary

Fields inherited from class org.exist.xmldb.test.RemoteDBTest
`DB_DRIVER`

Constructor Summary
`RemoteDatabaseImplTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testGetCollection()`

Methods inherited from class org.exist.xmldb.test.RemoteDBTest
`getCollection, setCollection`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteDatabaseImplTest

    public RemoteDatabaseImplTest(java.lang.String name)

Method Detail

### testGetCollection

    public void testGetCollection()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.